let options = {
    message: "",
    diapason_akk: [],
    username_list: [],
    sleep_send_sms: [2,8],
    quantity: "",
    img: "",
  };
  
  // ОБРАБОТЧИК НАЖАТИЯ КАРТИНКА
  $('#add_img').on('click', async function () {
    let path = await eel.get_image_for_message()()
    let img_res = path;//тут нужно вставить путь на картинку которую выбрал пользователь
    if (img_res !== "" && img_res !== 0) {// Демонстрация изображения если есть
      $('#myimage').attr('src', img_res);
      options.img = img_res;
    }
  });
  $('#start_send_massages').on('click', async function () {
  
    // Получение изображения если есть передаем в обьект
    let quantity_max = $('#send_account_full').val();
    if (quantity_max !== "") {
      options.quantity = $('#send_account_full').val();
    } else {
      options.quantity = "40";
    }
  
    // Получение сообщения
    options.message = $('#text_textarea').val();
  
    // Получение данных из textarea - @ЮЗЕРНЕЙМЫ
    options.username_list = [];
    let lines = $('#username_textarea_send').val().split(/\n/);
    for (var i = 0; i < lines.length; i++) {
      if (/\S/.test(lines[i])) {
        options.username_list.push($.trim(lines[i]));
      }
    }
  
    clear_log = 0
    let json = JSON.stringify(options);
    let this_class = $(this).hasClass("btn-success");
    if (this_class == true) {
      if(options.answer_status == '1'){
        let this_class = $('#start_answer').hasClass("d-none");
        if(this_class == false){
          error('Сначала завершите автоответчик!')
          return
        }
        $('#start_answer').removeClass('d-none');
      }
      $(this).removeClass('btn-success');
      $(this).addClass('btn-danger');
      $(this).text("Остановить рассылку");
      $('#log li').remove();
      $('#log_div li').remove();
      console.log(json);
      await eel.send_message_secret(json)();
    } else {
      $(this).removeClass('btn-danger');
      $(this).addClass('btn-success');
      $(this).text("Запустить рассылку");
      eel.stopped('spam_secret') //<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<< ТУТ КНОПКА ОТМЕНИТЬ
    }
  
  });

  window.addEventListener("beforeunload", function (e) {        
    eel.stopped('spam_secret')
  });
  
  eel.expose(set_finished_btn);
  function set_finished_btn(){
      $('#start_send_massages').removeClass('btn-danger');
      $('#start_send_massages').addClass('btn-success');
      $('#start_send_massages').text("Запустить рассылку");
  }
  
  $('#set_sleep_sending').on('click', async function () {
    $('#set_sleep_modal').modal('hide');
    options.sleep_send_sms[0] = $('#sleep_send_sms_from').val();
    options.sleep_send_sms[1] = $('#sleep_send_sms_before').val();
  });
  
  function get_num_user_list(){
    let lines = $('#username_textarea_send').val().split(/\n/).length;
    $("#num_textarea_user").text(lines);
  }

  $('#username_textarea_send').bind('input', function(){
    get_num_user_list();
  });
  
  $('#select_accounts').on('click', async function () {
    options.diapason_akk = [];
    load_accounts();
  });
  
  $('#select_accounts_apply').on('click', async function () {
    console.log("Нажали")
    $('#select_accounts_modal').modal('hide');
    let from = 1;
    let before = $('#table_users >tbody >tr').length;
    //Запускаем цикл по всей таблице
    for (let i = from; i <= before; i++) {
      let type_bg = $('#table_users tr').eq(i).attr("class");
      if (type_bg == "bg_selected") {
        //Получаем номер телефона
        phone_user = $('#table_users tr').eq(i).children('#phone').html();
        options.diapason_akk.push(phone_user);
      }
    }
    $("#account_num").removeClass('d-none');
    $("#account_num").text(options.diapason_akk.length);
  });
  
  eel.expose(counter_sess);
  function counter_sess(num) {
    $("#counter_sess").text(num);
  }
  
  let clear_log = 0
  eel.expose(log);
  function log(log_line) {
    if (clear_log == 250){
      $('#log li:first').remove();
    } else {clear_log = clear_log + 1}
    $('#log').append('<li>' + log_line + '</li>');
    $('#log_div').scrollTop($('#log_div')[0].scrollHeight);
  }

  eel.expose(reload_python);
  function reload_python() {
    window.location.reload();
  }

  eel.expose(dell_elem);
  function dell_elem(elem) {
    var text = $('#username_textarea_send').val();
    console.log(text)
    text = text.replace(elem, '');
    $('#username_textarea_send').val(text.trim());
    save_login_history();
    get_num_user_list();
  };
  
  function save_login_history() {
    let lines = $('#username_textarea_send').val()
    localStorage.setItem('login_send', lines);
  }
  
  $('#get_login_history').on('click', function () {
    let username_list = localStorage.getItem('login_send');
    $('#username_textarea_send').val(username_list)
    get_num_user_list();
  });